package com.ruoyi.project.training.newstaff.mapper;

import java.util.List;
import com.ruoyi.framework.aspectj.lang.annotation.DataScope;
import com.ruoyi.project.training.newstaff.domain.TTnFirstplan;
import com.ruoyi.project.training.newstaff.domain.TTnFirstplanTmpl;

/**
 * 进组培训Mapper接口
 *
 * @author ruoyi
 * @date 2023-07-04
 */
public interface TTnFirstplanMapper
{
    /**
     * 查询进组培训
     *
     * @param id 进组培训ID
     * @return 进组培训
     */
    public TTnFirstplan selectTTnFirstplanById(Long id);

    /**
     * 查询进组培训列表
     *
     * @param tTnFirstplan 进组培训
     * @return 进组培训集合
     */
    @DataScope(deptAlias = "d")
    public List<TTnFirstplan> selectTTnFirstplanList(TTnFirstplan tTnFirstplan);

    public List<TTnFirstplan> selectTTnFirstplanListByNewId(TTnFirstplan tTnFirstplan);
    /**
     * 新增进组培训
     *
     * @param tTnFirstplan 进组培训
     * @return 结果
     */
    public int insertTTnFirstplan(TTnFirstplan tTnFirstplan);

    /**
     * 修改进组培训
     *
     * @param tTnFirstplan 进组培训
     * @return 结果
     */
    public int updateTTnFirstplan(TTnFirstplan tTnFirstplan);

    /**
     * 删除进组培训
     *
     * @param id 进组培训ID
     * @return 结果
     */
    public int deleteTTnFirstplanById(Long id);

    /**
     * 批量删除进组培训
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteTTnFirstplanByIds(Long[] ids);

    void insertTTnFirstplanTmpl(TTnFirstplanTmpl t);

    int batchStatusTTnFirstplanByids(Long[] ids);
}
